Subject: Re: "od" wrong line endings and byte count
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Sun, 02 Jan 2005 17:48:21 -0800

Yitzchak Scott-Thoennes wrote:

> > I thought we were talking about 'od' here where presumably you always
> > want to open files for reading in binary mode?  (And as far as I know od
> > doesn't write anything, redirection aside...)
> 
> 'twas redirection I was thinking of:
> 
> $ od /dev/null>od.out
> $ od /dev/null>textmount/od.out
> $ ls -l od.out textmount/od.out
> -rw-r--r--  1 sthoenna None 8 Jan  2 17:28 od.out
> -rw-r--r--  1 sthoenna None 9 Jan  2 17:28 textmount/od.out

Redirection is setup by the shell, so the program whose output is
redirected has no say on how the file is opened.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/